<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Forum</h1>";
if ($aangemeld == "ja")
{
	if ($member_status == "manager")
	{
		if (ISSET($_GET['action']))
		{
			if ($_GET['action'] == "sluit")
			{
				$ideeke = $_GET['id'];
				mysql_query("UPDATE topics SET geblokt = 'old' WHERE id='$ideeke';");
				$naam_topic = halen("SELECT titel FROM topics WHERE id='".$ideeke."'");
	    		action("plaatst het topic '".$naam_topic."' in het archief");
	    		echo "Even geduld a.u.b...";
				echo "<meta http-equiv=\"refresh\" content=\"1;url=oldforum.php\">";
			}
			elseif ($_GET['action'] == "open")
			{
				$ideeke = $_GET['id'];
				mysql_query("UPDATE topics SET geblokt = '' WHERE id='$ideeke';");	
				$naam_topic = halen("SELECT titel FROM topics WHERE id='".$ideeke."'");
	    		action("haalt het topic '".$naam_topic."' uit het archief");
	    		echo "Even geduld a.u.b...";
				echo "<meta http-equiv=\"refresh\" content=\"1;url=replys.php?id=".$ideeke."\">";
			}
		}
		else
		{
			echo "Er is een fout opgetreden.";
		}
	}
	else
	{
		action("probeert zonder rechten een topic in het archief te zetten of eruit te halen");
		echo "Oeps! Hiervoor moet je <b>manager</b> of <b>forum staff</b> zijn.";	
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>